/* env3 -- simple demo of an amp envelope in jsyn
 *
 * 		Brad Garton, spring 2003
 *
*/
import com.softsynth.jsyn.*;

public class env3 extends Object
{
	public static void main(String args[])
	{
		env3 hoho = new env3();
		hoho.start();
	}

	public void start()
	{
		int tickval;
		OscThread Othread;

		try
		{
			Synth.startEngine(0);

			Othread = new OscThread();
			Othread.start();

			// "tickval" is now used to schedule the parameters
			// that we set in the go() method.
			// it is listed in Phil's 'ticks'... (see below)
			tickval = Synth.getTickCount();
			Othread.go(tickval, 5.2, 159.0, 1.0, 1.4, 1.1);


			// this will sleep a precise amount -- there are
			// approx. 689 'ticks' per second
			Synth.sleepUntilTick(689*6);

		} catch(SynthException e) {
			SynthAlert.showError(e);
		}
	}
}
